---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mcp serve`

Start a MCP server with stdio transport. (EXPERIMENTAL)

## Synopsis

Start a Model Context Protocol server to expose GitLab features
as tools for AI assistants like Claude Code.

The server uses stdio (standard input and output) transport for
communication, and provides tools to:

- Manage issues (list, create, update, close, add notes)
- Manage merge requests (list, create, update, merge, add notes)
- Manage projects (list, get details)
- Manage CI/CD pipelines and jobs

To configure this server in Claude Code, add this code to your
MCP settings:

```json
{
  "mcpServers": {
    "glab": {
      "command": "glab",
      "args": ["mcp", "serve"]
    }
  }
}
```

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/policy/development_stages_support/>

Use experimental features at your own risk.

```plaintext
glab mcp serve [flags]
```

## Examples

```console
$ glab mcp serve

```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
